#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define eps 1e-3

typedef struct {
	int x,y;
} bod;

bod a[30000];

typedef struct{
	double x,y;
} dbod;

dbod b[30000];


int d_cmp(dbod *a, dbod *b)
{
	if(fabs((a->x) - (b->x))<eps)
	{
		if(fabs((a->y) - (b->y))<eps) return 0;
		if((a->y) < (b->y)) return -1;
		else return +1;		
	} else
	if((a->x)<(b->x)) return -1;
	else return +1;
}

int i_cmp(bod *a, bod *b)
{
	if(a->x == b->x) return a->y - b->y;
	return (a->x)-(b->x);
}



int main()
{
	int N, sx, sy, i, OK;
	double tx, ty;

	while(1)
	{
		scanf("%d", &N);

		if(N==0) break;
		
		sx=sy=0;

		for(i=0; i<N; i++)
		{
			scanf("%d %d", &a[i].x, &a[i].y);
			sx+=a[i].x;
			sy+=a[i].y;
		}

		//printf("huhu\n");

		tx=sx/(double) N;
		ty=sy/(double) N;

		//printf("huhu\n");

		for(i=0; i<N; i++)
		{
			b[i].x=a[i].x+2*(tx-a[i].x);
			b[i].y=a[i].y+2*(ty-a[i].y);
		}
		//printf("huhu2\n");

		qsort(a, N, sizeof(a[0]), i_cmp);
		//printf("ahhhhh\n");
		qsort(b, N, sizeof(b[0]), d_cmp);
		//printf("huhu\n");

		OK = 1;
		for(i=0; i<N; i++)
		{
			// printf("(%d, %d)  (%.2f, %.2f) \n ", a[i].x, a[i].y, b[i].x, b[i].y);
			if(fabs(a[i].x-b[i].x) + fabs(a[i].y-b[i].y) > eps)
			OK = 0;
		}

		if(OK)
			printf("V.I.P. should stay at (%.1f,%.1f).\n", tx, ty);
		else
			printf("This is a dangerous situation!\n");
	}
	
	return 0;
}
